commoble.exmachina.circuit

## Class CircuitImpl

- java.lang.Object
- - commoble.exmachina.circuit.CircuitImpl

All Implemented Interfaces:
  commoble.exmachina.api.Circuit

    public class CircuitImpl
    extends java.lang.Object
    implements commoble.exmachina.api.Circuit

### Constructor Summary

Constructors
Constructor and Description

`CircuitImpl(net.minecraft.world.IWorld world, double staticLoad, double staticSource, java.util.Map<net.minecraft.util.math.BlockPos,? extends org.apache.commons.lang3.tuple.Pair<net.minecraft.block.BlockState,? extends commoble.exmachina.api.CircuitComponent>> components, java.util.List<java.util.function.DoubleSupplier> dynamicLoads, java.util.List<java.util.function.DoubleSupplier> dynamicSources)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.Map<net.minecraft.util.math.BlockPos,? extends org.apache.commons.lang3.tuple.Pair<net.minecraft.block.BlockState,? extends commoble.exmachina.api.CircuitComponent>>` `getComponentCache()`
`double` `getCurrent()`
`double` `getPowerSuppliedTo(net.minecraft.util.math.BlockPos pos)`
`void` `markNeedingDynamicUpdate()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CircuitImpl

    public CircuitImpl(net.minecraft.world.IWorld world,
                       double staticLoad,
                       double staticSource,
                       java.util.Map<net.minecraft.util.math.BlockPos,? extends org.apache.commons.lang3.tuple.Pair<net.minecraft.block.BlockState,? extends commoble.exmachina.api.CircuitComponent>> components,
                       java.util.List<java.util.function.DoubleSupplier> dynamicLoads,
                       java.util.List<java.util.function.DoubleSupplier> dynamicSources)

### Method Detail

#### getPowerSuppliedTo

    public double getPowerSuppliedTo(net.minecraft.util.math.BlockPos pos)

Specified by:
  `getPowerSuppliedTo` in interface `commoble.exmachina.api.Circuit`

#### getCurrent

    public double getCurrent()

Specified by:
  `getCurrent` in interface `commoble.exmachina.api.Circuit`

#### markNeedingDynamicUpdate

    public void markNeedingDynamicUpdate()

Specified by:
  `markNeedingDynamicUpdate` in interface `commoble.exmachina.api.Circuit`

#### getComponentCache

    public java.util.Map<net.minecraft.util.math.BlockPos,? extends org.apache.commons.lang3.tuple.Pair<net.minecraft.block.BlockState,? extends commoble.exmachina.api.CircuitComponent>> getComponentCache()

Specified by:
  `getComponentCache` in interface `commoble.exmachina.api.Circuit`